Skip to content

Commands Interaction

Total endpoints: 33 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Adjust Pitch

  • Endpoint: /api/v2/commands/adjust_pitch/
  • Function: Execute the adjust_pitch command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, FloatValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/adjust_pitch/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": 1.0}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/adjust_pitch/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "adjust_pitch",
    "value": 1.0
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Animation

  • Endpoint: /api/v2/commands/animation/
  • Function: Execute the animation command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/animation/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "animation",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Animations Intensity

  • Endpoint: /api/v2/commands/animations_intensity/
  • Function: Execute the animations_intensity command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, FloatValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/animations_intensity/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": 1.0}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/animations_intensity/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "animations_intensity",
    "value": 1.0
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Attention Preference

  • Endpoint: /api/v2/commands/attention_preference/
  • Function: Execute the attention_preference command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/attention_preference/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/attention_preference/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "attention_preference",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Background Emotion Intensity

  • Endpoint: /api/v2/commands/background_emotion_intensity/
  • Function: Execute the background_emotion_intensity command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, FloatValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/background_emotion_intensity/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": 1.0}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/background_emotion_intensity/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "background_emotion_intensity",
    "value": 1.0
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Cancel Animation

  • Endpoint: /api/v2/commands/cancel_animation/
  • Function: Execute the cancel_animation command through the v2 command bridge.
  • Method: POST
  • Parameters: none
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_animation/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_animation"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Cancel Expressive Background Animation

  • Endpoint: /api/v2/commands/cancel_expressive_background_animation/
  • Function: Execute the cancel_expressive_background_animation command through the v2 command bridge.
  • Method: POST
  • Parameters: none
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_expressive_background_animation/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_expressive_background_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_expressive_background_animation"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Cancel Interactive Background Animation

  • Endpoint: /api/v2/commands/cancel_interactive_background_animation/
  • Function: Execute the cancel_interactive_background_animation command through the v2 command bridge.
  • Method: POST
  • Parameters: none
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_interactive_background_animation/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_interactive_background_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_interactive_background_animation"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Change Default Base Emotion

  • Endpoint: /api/v2/commands/change_default_base_emotion/
  • Function: Execute the change_default_base_emotion command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/change_default_base_emotion/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/change_default_base_emotion/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "change_default_base_emotion",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Change Default Interactive State

  • Endpoint: /api/v2/commands/change_default_interactive_state/
  • Function: Execute the change_default_interactive_state command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/change_default_interactive_state/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/change_default_interactive_state/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "change_default_interactive_state",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Emotions

  • Endpoint: /api/v2/commands/emotions/
  • Function: Execute the emotions command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/emotions/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/emotions/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "emotions",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Firefly Behavior

  • Endpoint: /api/v2/commands/firefly_behavior/
  • Function: Execute the firefly_behavior command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/firefly_behavior/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/firefly_behavior/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "firefly_behavior",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Human Neck Roll

  • Endpoint: /api/v2/commands/get_human_neck_roll/
  • Function: Execute the get_human_neck_roll command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_human_neck_roll/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_human_neck_roll/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_human_neck_roll"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Humans Relative Positions

  • Endpoint: /api/v2/commands/get_humans_relative_positions/
  • Function: Execute the get_humans_relative_positions command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_humans_relative_positions/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_humans_relative_positions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_humans_relative_positions"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Perceived Emotions

  • Endpoint: /api/v2/commands/get_perceived_emotions/
  • Function: Execute the get_perceived_emotions command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_perceived_emotions/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_perceived_emotions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_perceived_emotions"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Position Of

  • Endpoint: /api/v2/commands/get_position_of/
  • Function: Execute the get_position_of command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/get_position_of/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_position_of/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_position_of",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Carrying Too Heavy Payload

  • Endpoint: /api/v2/commands/is_carrying_too_heavy_payload/
  • Function: Execute the is_carrying_too_heavy_payload command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_carrying_too_heavy_payload/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_carrying_too_heavy_payload/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_carrying_too_heavy_payload"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Seeing

  • Endpoint: /api/v2/commands/is_seeing/
  • Function: Execute the is_seeing command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_seeing"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Seeing Handle

  • Endpoint: /api/v2/commands/is_seeing_handle/
  • Function: Execute the is_seeing_handle command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_handle/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_handle/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_seeing_handle"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Seeing Human

  • Endpoint: /api/v2/commands/is_seeing_human/
  • Function: Execute the is_seeing_human command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_human/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_human/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_seeing_human"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Sleeping

  • Endpoint: /api/v2/commands/is_sleeping/
  • Function: Execute the is_sleeping command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_sleeping/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_sleeping/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_sleeping"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Eyes Look At Target

  • Endpoint: /api/v2/commands/eyes_look_at_target/
  • Function: Execute the eyes_look_at_target command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, ListValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/eyes_look_at_target/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": [0.0, 0.0, 1.0]}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/eyes_look_at_target/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': [0.0, 0.0, 1.0]}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "eyes_look_at_target",
    "value": [0.0, 0.0, 1.0]
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Head Look At Target

  • Endpoint: /api/v2/commands/head_look_at_target/
  • Function: Execute the head_look_at_target command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, ListValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/head_look_at_target/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": [0.0, 0.0, 1.0]}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/head_look_at_target/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': [0.0, 0.0, 1.0]}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "head_look_at_target",
    "value": [0.0, 0.0, 1.0]
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Play Animation

  • Endpoint: /api/v2/commands/play_animation/
  • Function: Execute the play_animation command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/play_animation/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/play_animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "play_animation",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Play Sound

  • Endpoint: /api/v2/commands/play_sound/
  • Function: Execute the play_sound command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/play_sound/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/play_sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "play_sound",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Enable Arms

  • Endpoint: /api/v2/commands/set_enable_arms/
  • Function: Execute the set_enable_arms command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_arms/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_arms/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_enable_arms",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Enable Autonomous Arms

  • Endpoint: /api/v2/commands/set_enable_autonomous_arms/
  • Function: Execute the set_enable_autonomous_arms command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_autonomous_arms/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_autonomous_arms/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_enable_autonomous_arms",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Eyes Tracking

  • Endpoint: /api/v2/commands/set_eyes_tracking/
  • Function: Execute the set_eyes_tracking command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_eyes_tracking/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_eyes_tracking/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_eyes_tracking",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Play Sound

  • Endpoint: /api/v2/commands/set_play_sound/
  • Function: Execute the set_play_sound command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_play_sound/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_play_sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_play_sound",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Tempo

  • Endpoint: /api/v2/commands/set_tempo/
  • Function: Execute the set_tempo command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, FloatValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_tempo/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": 1.0}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_tempo/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_tempo",
    "value": 1.0
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Sound

  • Endpoint: /api/v2/commands/sound/
  • Function: Execute the sound command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/sound/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "sound",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Sound Level

  • Endpoint: /api/v2/commands/sound_level/
  • Function: Execute the sound_level command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, IntValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/sound_level/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": 1}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/sound_level/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "sound_level",
    "value": 1
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Tts

  • Endpoint: /api/v2/commands/tts/
  • Function: Execute the tts command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/tts/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/tts/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "tts",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.